<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>FFTLIB 2.0.1.0 Release Notes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../relnotes_archive/tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../relnotes_archive/titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.5.1-p1 -->
<h1 align="center"><a name="XDC_TOP"></a>FFTLIB 2.0.1.0 Release Notes</h1>
<h2 align="center">July 18, 2014</h2>
<h1></h1>
<p>
<a href="#Introduction">Introduction</a>, <a href="#Documentation">Documentation</a>, <a href="#Whats_New">What's New</a> <a href="#Compatibility">Upgrade and Compatibility Information</a>, <a href="#Host_Support">Host Support</a>, <a href="#Device_Support">Device Support</a>, <a href="#Validation">Validation Information</a>, <a href="#Known_Issues">Known Issues</a>, <a href="#Version">Version Information</a>, <a href="#Support">Technical Support</a> <p>
<hr>
 <h2><a class="anchor" name="General_Info"></a>Introduction</h2>
<p>
The TI FFTLIB is an optimized library for computing the discrete Fourier transform (DFT).<ul>
<li>Supports C66x TI DSP platform for little-endian</li><li>Supports single-precision and double-precision floating point</li><li>Supports complex inputs and real inputs</li><li>Supports 1D, 2D and 3D FFT</li><li>Supports Single-core and Multi-core</li><li>API similar to FFTW, includes FFT plan and FFT execute </li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Documentation"></a>Documentation</h2>
<p>
The following documentation is available: <ul>
<li><a href="../doxygen/FFTLIB_Function_Reference.chm">FFTLIB Function Reference</a></li></ul>
<p>
Release notes from previous releases are also available in the <a href="../relnotes_archive">relnotes_archive</a> directory.<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Whats_New"></a>What's New</h2>
<p>
The following new features were added:<ul>
<li>Linux Build support </li></ul>
<p>
The following bugs have been resolved:<ul>
<li>N/A </li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Compatibility"></a>Upgrade and Compatibility Information</h2>
<p>
This <b>ti.fftlib</b> is the initial RTSC packaged version.<p>
Please note that the package compatibility keys are independent of XDC product release numbers.<p>
Package compatibility keys are intended to:<p>
<ol type=1>
<li>Enable tooling to identify incompatibilities between components, and</li><li>Convey a level of compatibility between different releases to set end user expectations.</li></ol>
<p>
Package compatibility keys are composed of 4 comma-delimited numbers - M, S, R, P - where:<p>
<ul>
<li><b>M = Major</b> - A difference in M indicates a break in compatibility. The package consumer is required to re-write its source code in order to use the package.</li><li><b>S = Source</b> - A difference in S indicates source compatibility. The package consumerís source code doesn't require change, but does require a recompile.</li><li><b>R = Radix</b> - A difference in R indicates an introduction of new features, but compatibility with previous interfaces is not broken. If libraries are provided by the package, an application must re-link with the new libraries, but is not required to recompile its source.</li><li><b>P = Patch</b> - A difference in P indicates that only bugs have been fixed in the latest package and no new features have been introduced. If libraries are provided by the package, an application must re-link with the new libraries, but is not required to recompile its source.</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Host_Support"></a>Host Support</h2>
<p>
This release supports the following hosts:<p>
<ul>
<li>Windows XP</li><li>Linux</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Dependencies"></a>Dependencies</h2>
<p>
This release requires the following other software components and tools versions to successfully function<ul>
<li>MCSDK 3.0.4.17</li><li>MCSDK-HPC 3.0.0.18</li><li>XDC Tools version 3.25.05.94</li><li>C6000 Code Generation Tools version 7.4.2</li><li>CCS version 5.4</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Device_Support"></a>Device Support</h2>
<p>
This release supports the following device families:<ul>
<li>C66x</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Validation"></a>Validation Information</h2>
<p>
This release was built and validated using CCS version 5.4.<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Known_Issues"></a>Known Issues</h2>
<p>
None<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Version"></a>Version Information</h2>
<p>
This product's version follows a version format, <b>M.m.p.b</b>, where <b>M</b> is a single digit Major number, <b>m</b> is single digit minor number, <b>p</b> is a single digit patch number and <b>b</b> is an unrestricted set of digits used as an incrementing build counter.<p>
Please note that version numbers and compatibility keys are NOT the same. For an explanation of compatibility keys, please refer to the '<a href="#Compatibility">Upgrade and Compatibility Information</a>' section.<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
 <h2><a class="anchor" name="Support"></a>Technical Support</h2>
<p>
Questions regarding the FFTLIB library should be directed to the <a href="http://e2e.ti.com/support/embedded/tirtos/f/355.aspx">TI-RTOS forum</a>. Please include the text FFTLIB in the title and add FFTLIB tag to your post.<p>
<a href="#XDC_TOP">back to top</a> <hr size="1"><small>
Copyright  2014, Texas Instruments Incorporated</small>
</body>
</html>
